import { FloatTerm } from "@thi.ng/shader-ast";
/**
 * @param d1 - float
 * @param d2 - float
 * @param k - float
 */
export declare const sdfSmoothSubtract: import("@thi.ng/shader-ast").TaggedFn3<"float", "float", "float", "float">;
/**
 * Variadic compiletime macro for {@link sdfSmoothSubtract}. Takes smooth factor
 * `k`, followed by any number (at least 1 required) of SDF terms.
 *
 * @param k
 * @param terms
 */
export declare const sdfSmoothSubtractAll: (k: FloatTerm, ...terms: FloatTerm[]) => FloatTerm;
//# sourceMappingURL=smooth-sub.d.ts.map