import { FloatTerm } from "@thi.ng/shader-ast";
/**
 * Inline function. Variadic SDF shape union (a || b) for any number of terms
 * (at least 1 required).
 *
 * @param a -
 * @param terms -
 */
export declare const sdfUnion: (a: FloatTerm, ...terms: FloatTerm[]) => FloatTerm;
/**
 * SDF shape union for vec2 terms, i.e. the common form where the X coord
 * defines distance and Y an object or material ID.
 *
 * @param a -
 * @param b -
 */
export declare const sdfUnion2: import("@thi.ng/shader-ast").TaggedFn2<"vec2", "vec2", "vec2">;
//# sourceMappingURL=union.d.ts.map